summaryrefslogtreecommitdiffstats
path: root/ffmpeg/build
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2011-11-23 12:02:33 +0000
committer Eric Hameleers <alien@slackware.com>2011-11-23 12:02:33 +0000
commitfee065f39c6b756712cd770719c919d6452049c8 (patch)
treedaee844c5366a566a30d00d7cba8bf6a58433355 /ffmpeg/build
parentdd4049e04c60193d17c72659e5b7ff38e0ed1761 (diff)
downloadasb-fee065f39c6b756712cd770719c919d6452049c8.tar.gz
asb-fee065f39c6b756712cd770719c919d6452049c8.tar.xz
Update to 0.8.7
Diffstat (limited to 'ffmpeg/build')
-rwxr-xr-xffmpeg/build/ffmpeg.SlackBuild60
1 files changed, 57 insertions, 3 deletions
diff --git a/ffmpeg/build/ffmpeg.SlackBuild b/ffmpeg/build/ffmpeg.SlackBuild
index fb1cfa0a..1f0bc191 100755
--- a/ffmpeg/build/ffmpeg.SlackBuild
+++ b/ffmpeg/build/ffmpeg.SlackBuild
@@ -112,6 +112,8 @@
# 0.8.6-1: 08/nov/2011 by Eric Hameleers <alien@slackware.com>
# * New release. Also updated versions of internal lame, orc,
# x264 libraries.
+# 0.8.7-1: 22/nov/2011 by Eric Hameleers <alien@slackware.com>
+# * New release.
#
# Run 'sh ffmpeg.SlackBuild' to build a Slackware package.
# The package (.tgz) plus descriptive .txt file are created in /tmp .
@@ -138,7 +140,7 @@ USE_PATENTS=${USE_PATENTS:-"YES"}
USE_PATENTS=$(echo $USE_PATENTS | tr 'a-z' 'A-Z')
PRGNAM=ffmpeg
-VERSION=${VERSION:-0.8.6}
+VERSION=${VERSION:-0.8.7}
BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:--j7}
TAG=${TAG:-"alien"}
@@ -146,6 +148,7 @@ TAG=${TAG:-"alien"}
DOCS="COPYING* CREDITS Changelog MAINTAINERS README* \
doc/TODO doc/*.txt doc/*.html"
DOCS_AACENC="AUTHORS COPYING* ChangeLog NEWS NOTICE README"
+DOCS_AACPLUS="AUTHORS COPYING* ChangeLog NEWS README TODO"
DOCS_AMR="AUTHORS COPYING ChangeLog LICENSE NEWS README"
DOCS_AMRWBENC="AUTHORS COPYING ChangeLog LICENSE NEWS NOTICE README"
DOCS_AVC1394="AUTHORS COPYING ChangeLog INSTALL NEWS README"
@@ -165,6 +168,7 @@ DOCS_X264="AUTHORS COPYING"
# Support libraries:
AACENC=0.1.1
+AACPLUS=2.0.2
AMRWBENC=0.1.1
AMR=0.1.2
AVC1394=0.5.4
@@ -180,7 +184,7 @@ RTMP=2.3
SCHROEDINGER=1.0.10
SPEEX=1.2rc1
VPX=v0.9.7-p1
-X264=20111108-2245 # Needs yasm installed
+X264=20111121-2245 # Needs yasm installed
# Where do we look for sources?
SRCDIR=$(cd $(dirname $0); pwd)
@@ -314,6 +318,16 @@ SOURCE[17]="$SRCDIR/faac-$FAAC.tar.gz"
SRCURL[17]="http://downloads.sourceforge.net/faac/faac-$FAAC.tar.gz"
SRCPAT[17]="YES"
+## HE-AAC+ v2 shared library:
+#SOURCE[18]="$SRCDIR/libaacplus-$AACPLUS.tar.gz"
+#SRCURL[18]="http://tipok.ath.cx/downloads/media/aac+/libaacplus/libaacplus-${AACPLUS}.tar.gz"
+#SRCPAT[18]="YES"
+#
+## HE-AAC+ v2 reference implementation:
+#SOURCE[19]="$SRCDIR/26410-800.zip"
+#SRCURL[19]="http://www.3gpp.org/ftp/Specs/archive/26_series/26.410/26410-800.zip"
+#SRCPAT[19]="YES"
+
# Use the src_checkout() function if no downloadable tarball exists.
# This function checks out sources from SVN/CVS and creates a tarball of them.
@@ -477,7 +491,7 @@ if [ "$P1" != "--oldbuild" ]; then
for (( i = 0; i < ${#SOURCE[*]}; i++ )) ; do
# Only extract patented code if we are allowing it:
if [ "${USE_PATENTS}" == "YES" -o "${SRCPAT[$i]}" != "YES" ]; then
- if $(file ${SOURCE[$i]} | grep -q ": zip"); then
+ if $(file ${SOURCE[$i]} | grep -qi ": zip"); then
unzip ${SOURCE[$i]}
else
tar -xvf ${SOURCE[$i]}
@@ -625,6 +639,43 @@ cd -
# -----------------------------------------------------------------------------
+# Compile aacplus library
+# The ffmpeg will use this
+# -----------------------------------------------------------------------------
+make_aacplus ()
+{
+echo -e "**\n** aacplus ...\n**"
+cd $TMP/tmp-$PRGNAM/libaacplus-${AACPLUS}
+
+# This needs the sources of the HE-AAC+ reference implementation:
+cp $SRCDIR/26410-800.zip src/
+
+[ ! -x configure ] && autoreconf -vif
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+LDFLAGS="$SLKLDFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --enable-static \
+ --disable-shared \
+ --program-prefix= \
+ --program-suffix= \
+ --build=$ARCH-slackware-linux \
+ 2>&1 | tee $OUTPUT/configure-${PRGNAM}_aacplus.log
+# Do not use parallel make here:
+make 2>&1 | tee $OUTPUT/make-${PRGNAM}_aacplus.log
+# Install aacplus into a temp location so ffmpeg can pickup the library
+make install DESTDIR=$FFMPEGDEPSDIR \
+ 2>&1 | tee -a $OUTPUT/make-${PRGNAM}_aacplus.log
+# Add DOCS to the ffmpegdeps to have it added to ffmpeg package later:
+mkdir -p $FFMPEGDEPSDIR/doc/aacplus
+cp -a $DOCS_AACPLUS $FFMPEGDEPSDIR/doc/aacplus || true
+cd -
+}
+
+# -----------------------------------------------------------------------------
# Compile dc1394, avc1394 and raw1394 libraries
# The ffmpeg will use these
# -----------------------------------------------------------------------------
@@ -1105,6 +1156,7 @@ if [ "${USE_PATENTS}" == "YES" ]; then
--enable-libfaac \
--enable-libvo-aacenc \
--enable-nonfree"
+ # to be added once I get it to work: --enable-libaacplus \
else
USE_PATENTED=" "
fi
@@ -1166,6 +1218,7 @@ PKG_CONFIG_PATH="$FFMPEGDEPSDIR/usr/lib${LIBDIRSUFFIX}/pkgconfig" \
--extra-cflags="-I$FFMPEGDEPSDIR/usr/include -DRUNTIME_CPUDETECT" \
--extra-ldflags="-L$FFMPEGDEPSDIR/usr/lib${LIBDIRSUFFIX} -lssl -lcrypto -lz -lusb" \
2>&1 | tee $OUTPUT/configure-${PRGNAM}_ffmpeg.log
+# Need to add "-lfftw3f" to --extra-ldflags if libaacplus gets used
make ${NUMJOBS} 2>&1 | tee $OUTPUT/make-${PRGNAM}_ffmpeg.log
cd $OLDDIR
@@ -1183,6 +1236,7 @@ cd $OLDDIR
if [ "${USE_PATENTS}" = "YES" ]; then
make_lame
make_faac
+ #make_aacplus
make_aacenc
fi